GET api/ExamFieldMappings?externalId={externalId}
Gets information about a exam field mappings.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Exam field mappings' unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
ExamFieldMappingModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ColumnName |
check (Required) |
string |
None. |
| DisplayName |
check (Required) |
string |
None. |
| DataType |
check (Required) |
string |
None. |
| Format |
check |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"columnName": "sample string 1",
"displayName": "sample string 2",
"dataType": "sample string 3",
"format": "sample string 4",
"id": "56c58f8e-06ab-45d3-bec6-e0f4f6f8c5e8",
"externalId": "sample string 6"
}
application/xml, text/xml
Sample:
<ExamFieldMappingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappings"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">56c58f8e-06ab-45d3-bec6-e0f4f6f8c5e8</Id> <ColumnName>sample string 1</ColumnName> <DataType>sample string 3</DataType> <DisplayName>sample string 2</DisplayName> <Format>sample string 4</Format> </ExamFieldMappingModel>